---
id: analogy
title: Аналогия Soft-Hard
---

Автоматическую производственную систему (АПС) можно с очень большой степенью подробности рассматривать как расширенный аналог компьютерной операционной системы, только предназначенный для работы с материей (сохраняя притом информационные способности обычной операционной системы), и, более точно говоря, способным так же работать с энергией (перемещать, видоизменять и пр.), а также с пространственно-временным расположением различных объектов.

Эта аналогия помогает посмотреть как будет развиваться мир материальных машин, когда копирование и модификация их станет столь же простой как и в мире программ (информационных машин). А многое можно напрямую (или с минимальными модификациями) заимствовать из более чем на полвека идущего впереди мира программ:

| SOFT | HARD |
| ------ | ------ |
| ОС | АПС |
| Файл (фрагмент данных) | Объект |
| Исполняемый файл | Машина |
| Компьютер | Материальный мир |
| Принципы работы компьютера | Законы природы |
| Каталог | Участок склада |
| Жесткий диск | Складская зона |
| Оперативная память | Рабочая зона |
| Шина данных | Транспортная зона |
| Процессор | Производственный участок |
| Регистры процессора | Приспособления захвата |
| Команды процессора | Производственные операции |
| Адрес данных в памяти | Адрес объекта на складе |
| Алгоритм | Принцип действия машины |
| Код | Конструкция |
| Компиляция | Изготовление |
| Среда программирования | CAD |
| Язык программирования | Язык описания конструкций |
| Отладка | Отладка | 
| Декомпиляция | Реверс-инжиниринг | 
| Вредоносный код | Вредоносный объект | 
| Хакер | Физический взломщик | 
| Вирус | Встраиваемый инородный объект | 
| Троянский конь | Извне управляемый объект |
| Антивирус | Система мониторинга и нейтрализации угроз |
| Удаление ненужного файла | Утилизация объекта |
| Ручная правка файла | Ручное управление обработкой |
| Перемещение файла | Перемещение объекта |
| Корзина | Состояние объектов перед окончательной утилизацией |
| Копирование файла | Воспроизводство аналога объекта |
| Отмена операции (Ctrl-Z) путем предоставления из памяти (или генерации заново) предыдущего состояния данных |  Воспроизводство объекта без последней операции |
| Авторизация | Идентификация "свой-чужой" |
| Флэшка | Мобильный контейнер |
| Распределенные вычисления | Распределенное производство |
| Кэш процессора | Кэш производственного участка |
| Стек процессора | Стек производственного участка |
| Устройства ввода-вывода | Устройства ввода-вывода объектов |
| Видеокамера | Устройство сбора ресурсов |
| Дисплей, принтер | Устройство расстановки объектов во внешнем мире |
| Сеть компьютерная | Сеть транспортная |
| Модем | Упаковщик/разупаковщик для транспортировки |
| Передача данных | Транспорт объектов |
| Проводная сеть | Сеть транспорта дорогами или рельсами |
| Беспроводная сеть | Сеть транспорта дронами |
| Разметка дискового пространства | Организация складского пространства |
| Библиотека | Набор инструментов |

Также по аналогии с операционной системой, которая содержит ядро и приложения, можно выделить в АПС ядро (репликатор или совокупность системных машин) -  минимальный набор объектов, способный к самовоспроизводству и приложения (прикладные машины), нужные для всех остальных задач.

Репликатор должен быть способен произвести не только себя, но и прикладные машины. При этом, скорее всего, репликация маленького компактного репликатора может быть сильно оптимизирована путем создания развитых специализированных прикладных машин — подобно переходу от размножения одноклеточных к размножению многоклеточных.  Здесь нужен будет конкретный поиск баланса между компактностью и эффективностью репликаторов в интересах обеспечения минимального периода удвоения производственных мощностей системы.
