---
id: autostorage
title: Хранение и транспортировка
---
Храниться объекты АПС должны так, чтобы на них не попадала не летела, скажем, пыль и стружка. Транспортироваться все объекты должны удобным стандартным образом, чтобы не решать каждый раз эту задачу. Этому служит инфраструктура (транспортно-складская). Вот пример варианта минималистичной инфраструктуры:

![Минималистичный набор элементов инфраструктуры АПС](Images/cell00.png)

Здесь объекты можно разделить на малые и крупные. Малые - помещающиеся целиком в стандартную складскую ячейку (ячейки в принципе могут иметь разный размер, быть сборными). Крупные - не помещающиеся ни в какую складскую ячейку. 

Для каждого малого изделия может изготавливаться (часто - как одно целое с ним) специальная оправка предназначенная для его хранения и транспортировки. Например, путем трехмерной печати с низким процентом заполнения. Эта оправка имеет несколько интерфейсов:

- **Транспортный** (стандартный, удобный захват для транспортного манипулятора)
- **Специальный** (вставка индивидуальная для каждого объекта, обеспечивающая его бережный захват и позиционирование). По сути - это переходник между транспортным интерфейсом и объектом.
- **Контрольный** (место где удобно, скажем просвечивать лучом чтобы определить на месте ли объект, или соответствует ли он проекту). 
- **Складской**(которым оправка вставляется в стандартную складскую ячейку,  которые могут быть как отдельными, так и собираемыми в массив). 
- **Рабочий** (которым оправка позиционируется для обработки и фиксируется)
- **Питания и управления** (через который объект обменивается энергией и сигналами со складской ячейкой или транспортным манипулятором)

![Складская ячейка АПС](Images/cell01.png)

Контрольный, складской и рабочий интерфейсы могут совпадать. Тогда подвижный манипулятор берет оправку за транспортный интерфейс, вынимает из складской ячейки и помещает в такую же ячейку у себя на борту. Приехав на место обработки он за транспортный интерфейс вынимает оправку и вставляет в обрабатывающее устройство с таким же интерфейсом как и на складе и на борту. Соответственно, обрабатывающие устройства имеют по несколько интерфейсов для объектов-инструментов и объектов-изделий. Для малых изделий, которые надо обработать с разных сторон предусматривается плановая перестановка их на другие оправки. 

![Работа с изделиями и ячейками](Images/cell02.png)

Можно предусмотреть соединение и разъединение ячеек. При некоторых способах захвата манипулятор тащит всю сборку, а при некоторых - отсоединяет от нее отдельный элемент.

![Соединение и разъединение ячеек](Images/cell03.png)

Крупные изделия (не влезающие в стандартные ячейки) могут быть следующих форматов:

- **Подвижные роботы-манипуляторы**(после сборки перемещаются своим ходом, складирования и обработки не требуют). Перемещениями мобильных манипуляторов (ММ) заведуют их контроллеры и планировщик. Мощность подвижного манипулятора должна позволять буксировать (хотя бы группой) любой объект который может встретиться в работе АПС. Сами же такие крупные объекты должны быть специально сделаны удоботранспортируемыми - иметь колесики, удобные места захвата и т.п. При выходе из строя подвижного манипулятора его должен уметь утащить на утилизацию аналогичный манипулятор. 
- **Сама стандартная ячейка**. Помимо интерфейса для вставки изделий она может иметь собственные транспортные интерфейсы и интерфейсы для стыковки с другими ячейками. Эти коробки могут играть и вспомогательные роли стен, пола, потолка, в общем, инфраструктуры АПС. Так занимаемое ими место будет приносить пользу, ограждая техпроцессы и изделия от внешних воздействий. Можно представить вариант такой ячейки как условно Лего-кубик с отверстием с одного из боков. Двойная стена из таких кубиков обеспечивает доступ к обоим слоям изделий. Можно   делать кубик сразу под два изделия с перегородкой и двумя входами.  Оптимальная форма сооружения по-видимому напоминает  древовидный лабиринт с проходами несколько более ширины робота манипулятора. С помощью специальных балок можно перекрывать потолком коридоры лабиринта и возводить новые этажи. Для перемещения между этажами мобильных манипуляторов можно опять же по аналогии с Лего предусмотреть наклонные элементы Возможно сочетать эту систему с кратными и дробными размерами коробок. Можно, конечно, изготавливать и чисто несущие колонны и блоки без складских пустот. Так может получиться растущий робомуравейник. Конечно, вес коробки должен позволять подвижному манипулятору ее без проблем перемещать и устанавливать в нужные места. В формате этих коробок могут быть выполнены стандартные сосуды для жидкостей, газов и сыпучих материалов.
- **Обрабатывающие устройства (станки)**. Их размер и масса теоретически не ограничены, поэтому перемещать их можно только по частям и собирать на месте использования. Они должны содержать по-видимому, избыточное количество мест и способов разъединения на случай заклинивания. Они могут быть самоходными чтобы можно было их все же удалить в случае выхода из строя. Они могут быть размещены на таком месте и на такой высоте чтобы можно было использовать силу тяжести для их демонтажа и удаления.
-** Компьютеры-планировщики**. Они могут быть большими, но нет особенных препятствий для того чтобы они собирались из небольших процессорных и дисковых модулей.
- **Длинные предметы** (прутки, профили, полосы, балки) не могут быть спозиционированы с одной стороны. но на них по длине может быть установлено много транспортных оправок, сбоку могут подъехать манипуляторы и за эти оправки синхронно забрать изделие и установить куда нужно. Для их хранения нужны специальные оправки предусматривающие как от трех до пяти открытых сторон.
- **Большие плоские предметы** (листы, плиты), с которыми нельзя работать предыдущим способом, могут быть захвачены с двух сторон и покоиться на оправках-островках с пятью открытыми сторонами. Если предмет слишком тяжел или велик для этого, он хранится на высоких параллельных стенах или колоннах, пространство между которыми заполняется манипуляторами, затем они приподнимают изделие и перемещают изделие синхронно.
- **Большие объемные предметы**, слишком тяжелые для предыдущего способа лучше вообще не перемещать, а если это необходимо, строить для этого соответствующее транспортное оборудование.

Таким образом, практически любые изделия, как малые, так и крупные могут храниться и перемещаться вышеописанным или другим автоматическим и  унифицированным образом, не требующим разработки специальных программ для каждого конкретного случая. 
