---
id: engelmeyer
title: 'Пётр Энгельмейер и его наследие'
---

_В этой заметке один из участников проекта Александр Оликевич делится впечатлениями от прочтения книги В.Г. Горохова о Петре Климентьевиче Энгельмейере ([zip-архив](http://publ.lib.ru/ARCHIVES/G/GOROHOV_Vitaliy_Georgievich/Gorohov_V.G._Petr_Kliment'evich_Engel'meyer.(1997).[djv-fax].zip)), выдающемся русском инженере и философе техники XIX-XX веков._

Из этой книги можно узнать, что:
* Еще Аристотель мечтал о том чтобы всеобщая автоматизация сделала ненужным труд рабов.
* Между техническими изобретениями и научными открытиями больше сходства, чем различия. В конечном счете открытие от изобретения отличается только по назначению или по употреблению, которое из него сделают впоследствии. 
* Энгельмейер переписывался с Толстым, и обосновал тому самопротиворечивость его нравственной философии.
* Если в формуле дарвинизма заменить везде слово "организм", словом
"изобретение", то получим точную картину истории техники.
* Нынешняя ситуация в России не уникальна, и в прошлые века наши предки сетовали: «наша промышленность, в сущности говоря, почти во всех отраслях замерла; в настоящий момент мы присутствуем в России как бы при исчезновении техники 
из жизни и наблюдаем как бы наше возвращение к каменному веку, мы находимся перед полным крахом, и наша промышленность как 
таковая с точки зрения ее производства равна почти нулю»
* Американцы, признав на  Филадельфийской выставке 1876 г. лучшей систему преподавания в  
Московском техническом училище, стали вводить русскую систему, начав с Массачусетского технологического института. 
* В XIX веке инженерный корпус России пользовался значительными привилегиями, а после революции подвергся активному перемалыванию (как потенциально враждебный пролетарию элемент), что внесло свой печальный вклад в облик советского и постсоветского инженера.

## ТРИЗ

Многие идеи Энгельмейера пересекаются с идеями основателя ТРИЗ Альтшуллера, возможно, последний был знаком с работами Энгельмейера при разработке ТРИЗ. Если же не был, то тем более значимо совпадение многих выводов этих мыслителей. С теорией творчества Энгельмейера можно ознакомиться по его книге «Творческая личность и среда в области технических изобретений». 
 
В ТРИЗ принято выделять три части машины: двигатель, трансмиссию и рабочий орган. Энгельмейер выделяет четыре рода "приспособлений, необходимых для покорения сил природы":

1. Для добывания или улавливания своевольной силы
2. Для ее запасания (аккумуляции) 
3. Для ее передачи на расстояние
4. Для пользования ею на месте работы в требуемом количестве и виде. Диалектику изделия (материала) и инструмента Энгельмейер развивает аналогично Альтшуллеру.

Энгельмейер предвосхищает и ЖСТЛ, составляя наставления для начинающих изобретателей. А также он не чужд и того, что сегодня принято называть Open Hardware, т.е. изобретений с открытыми чертежами для свободного воспроизводства. Он рассказывает о судьбе, видимо, одного из собственных изобретений так:

> «Один русский инженер придумал соломотряс такой конструкции, что его легко может построить крестьянин своими средствами. Соломотряс, вообще говоря...присоединяется к молотилке и перетряхивает солому, т. е. отделяет от нее зерно и мякину, так что увеличивает производительность молотьбы. Соломотрясы существовали и раньше, но были такого устройства, что могли быть выполняемы только на заводах, а потому обходились дорого. Новоизобретенный соломотряс не представлял интереса для заводчиков, строителей молотилок, и наш инженер решил его обнародовать для общей пользы, не ища личной выгоды. И что же? Общество и печатные органы, на знамени которых было написано распространение полезных сведений в сельском быту, требовали с изобретателя покрытия разных расходов, совершенно так же, как если бы он преследовал исключительно свою личную выгоду» 

Изобретатель должен знать, заключает Энгельмейер, что он непременно натолкнется на вражду или в самом лучшем случае на равнодушие. Могут быть, конечно, и другие препятствия, например, неумение пользоваться со стороны потребителя. Но общее правило таково: чем новее и важнее изобретение, тем труднее его ввести в жизнь. Даже если изобретение делается по специальности, так сказать по роду службы, оно вызывает «генеральский гнев», ибо колеблет обывательское доверие к начальству, «наводя на тлетворную мысль о том, что в подлежащем ведомстве, желательны какие бы то ни было новшества и что эти новшества исходили не от начальства. Как будто начальство само не знает, что надо и чего не надо!» 

Проработав много в патентном ведомстве, он четко разграничил такие понятия, как _ПРИНЦИП_, _СИСТЕМА_ и _КОНСТРУКЦИЯ_ машины.

> «Технология определяет характер той работы, которую от машины потребует практика. Для технологии все равно, как осуществить эти условия. Затем вступает в свои права кинематика и предписывает каким механизмом надлежит осуществить нужные движения. Наконец, входит машиностроение с конструктором во главе и вырабатывает машину во всех деталях. Стало быть, для того чтобы осуществить требования технологические, надо осуществить требования кинематические, а для того чтобы осуществить эти последние, надо осуществить требования конструктивные. Конструкция машины зависит от кинематической схемы, а эта последняя зависит от технологического принципа машины» 
 
> «Принцип машины, т. е. ее основная суть, определяется технологическими признаками, система определяется кинематической схемой, а конструкция определяется совокупностью и расположением деталей машины» 

Итак, конструкция — это вещественное выполнение машины во всех деталях. При рассмотрении же системы машин интересуются не всеми деталями, а лишь существенными для системы. Говоря же о принципе, обращают внимание на еще меньшее число самых важных рабочих органов.

> «Какой разряд машин мы бы не взяли, везде мы различаем, во-первых, принцип, характеризующий целый тип или разряд машин, во-вторых, разные системы, составляющие подотделы типа и, наконец, в-третьих, конструкции, составляющие вещественное осуществление принципа и системы; при этом один данный принцип повторяется в целом ряде систем, а одна система повторяется в ряде конструкций» 

Таким образом, рассмотренная с конструктивной стороны машина есть конкретное явление, из которого мы выносим  
конкретное представление. (т.е. Энгельмейер конструкцию рассматривает здесь уже не просто как конкретную вещественную структуру машины, а как ее конкретное представление в теории.) Система машины — это уже конкретное понятие, получающееся в результате первого обобщения или отвлечения. Обобщая же целый ряд систем (как конкретных понятий), мы получаем абстрактное понятие — принцип машины. Это путь индуктивный. Он применяется, по мнению Энгельмейера, тогда, когда наука еще только создается. Когда же она уже создана, то ее излагают дедуктивным способом: сначала основные принципы, затем частные законы, как развитие этих принципов, и, наконец, отдельные факты, как иллюстрации к законам. 

## Педагогика

В качестве примера он приводит способ преподавания учения о динамо-машинах в технических училищах.
> «Учение о динамах, как и всякий подобный учебный предмет, излагается дедуктивно. Сначала ученикам преподаются  электромагнитные законы, из которых слагается принцип всех без  исключения динам. Затем излагаются схемы разных систем, а уж после всего рассматриваются динамы во всех конструктивных  подробностях. При этом можно остановить изложение предмета  преподавания на той или другой ступени, смотря по надобности. Так, например, если нужно сообщить только лишь общее понятие о динамах ну хоть химику, которому придется разве только пользоваться током от динам, но не придется не только строить, но и ухаживать за ними, то достаточно изложить один только принцип. Несколько больше надо сообщить ну хоть путейцу, которому хотя и не придется строить динамы, но придется может быть иметь надзор за их  работой. Тут надо кроме принципов изложить и схемы разных систем. Так же составляются популярные книги о динамах... Здесь тоже описание динам останавливается на схемах. Что же до конструкций, то их преподают разумеется только тем техникам, которым придется их строить».  

Таким образом, этот способ особенно хорош для преподавания:
> «Лица, присутствовавшие на том докладе, помнят, что сначала мы рассмотрели в качестве принципа состав автомобиля, т. е. совокупность его главных существенных органов, тех органов, без которых машина не может называться автомобилем. Затем мы  рассмотрели схематически развитые системы современных автомобилей, и на этой второй ступени, дающей только общее понятие об автомобиле, закончился мой доклад. Затем все присутствовавшие перешли в нижний этаж, и здесь могли ознакомиться с конструктивными подробностями на выставленных машинах» 

## Автоматизация проектирования

Энгельмейер занимался этим вопросом, и, понимая, что «намереваясь изобрести машину для такой работы, которая до сих пор производится только человеком, прежде всего необходимо видоизменить саму эту работу на машинный лад», видел путь к автоматизации проектирования в том, чтобы машинизировать проектировочную деятельность человека, построить вместо нее машину. Для этого он постарался формально описать процесс проектирования в рамках своей трехактной теории творчества ("трехакт").

Рассмотрим, в чем же состоит суть этих трех актов. По Энгельмейеру, человеческое творчество есть совокупность трех «деятелей» — желания (интуиции), знания и умения. Различает он и три вида продуктов деятельности: идеи (в сознании), процессы (во времени) и материальные вещи, т. е. предметы (в пространстве). В соответствии с этим он и расчленяет процесс проектирования на три стадии:
1. Создание общего плана
2. Выработка из этого плана полной схемы
3. Разработка схемы детально до рабочих чертежей включительно. 

### I акт. Создание общего плана (происхождение замысла). Акт творческий (интуиция)
На этом этапе определяется, что хочет проектировщик.  Проектирование машины предполагает, что условия задачи ясно осознаны. Это творческий акт конструирования идеи машины, удовлетворяющей всем поставленным условиям. Он распадается на две стадии: 
1. Творчество, дающее идею (идея уже есть полное решение задачи, это полная машина со всеми деталями, которые еще только не видны): «процесс проектирования начинается с возникновения в уме  изобретателя темной идеи, которая есть неясное, но полное решение задачи» (убеждение в том, что это лучшее решение, пока основано на вере); на этом этапе главное — изобретательность и личный опыт. Идея машины представляется самому ее носителю загадкой, он вглядывается в нее, вынашивает идею, «думает о ней». «Эта работа, по-моему, должна происходить исключительно умозрительным путем. Бумага и карандаш, которые дальше окажутся  необходимыми, теперь наоборот только могут помешать, и это по двум причинам: во-первых, потому, что бумага имеет только два  измерения, между тем как машина почти всегда имеет три, пока стоит, и четыре, пока движется; во-вторых, потому, что теперь всего нужнее припомнить как можно больше разных механизмов и чтобы они готовы были несколько видоизменяться и прилаживаться к  требованиям идеи-сфинкса; а это возможно только при образах  воображаемых». 
2. Внутреннее чтение идеи для выяснения главных частей, в результате которого составится общий план машины. Память и конструктивное воображение — вот деятели первого акта во второй его половине. «Первый акт проектирования окончен, когда идея машины возникла и изобретатель настолько ее распознал, что уяснил себе общий план машины, т. е. ее характер и главные рабочие органы». Теперь идея машины представляется в виде «карты»  малоизученной земли — есть оазисы, но еще много белых пятен, их связывающих областей. Результат этого акта — принцип машины, в котором  выражена сама ее суть. Он дает то, что хотя и не достаточно, но  необходимо для достижения данного эффекта. Принцип характеризует целый ряд машин, самое существенное в них. II акт. Выработка схемы {логическое представление).

### II Акт. Научный (знание) 
На этом этапе выясняется, что может проектировщик. «Второй акт получает машину в виде нескольких отдельно стоящих органов, и задача его заключается в том, чтобы выработать промежуточные члены и чтобы получить таким образом полную схему машины». Теперь конструктора занимают образы не столько формы, сколько движения. Здесь фактически дается кинематическое представление машины, но в более общем виде: речь идет о применении не только кинематики, а и математики, физики, механики, вообще естествознания, науки в собственном смысле слова [ 32, с. 47]. Творческий элемент здесь играет все еще важную роль, поскольку продолжается искание: математика только облегчает приемы искания, естествознание дает самый материал для искания, но руководит этим исканием и  выбором все та же «идея-сфинкс». На этом этапе выясняются все  промежуточные органы, их расположение, главные размеры будущих  деталей и т. д. Второй акт ведется с помощью карандаша и бумаги. Здесь еще рано перелистывать справочники (это может только помешать), а нужны теоретические руководства. В результате второго акта «машина предстанет перед нами вся, во всех частях, но только изображенная схематически». Второй акт дает схему (для  сооружения), систему (для машины) или план (для действия). Схема дает то, что необходимо и достаточно для эффекта, т. е. полное идейное содержание данного изобретения (или проекта), полную мысль о нем. Говоря о системе машины, мы отвлекаемся от ее вещественной формы, а берем только ее схему. План для известного действия — все равно что схема для сооружения и система для машины (к способам производства, например, лучше подходит слово «план»). 

### III акт. Детальное выполнение (осуществление), Акт чертежный/ремесленный (умение) 
Здесь производится конструктивное выполнение изображения машины (в окончательных действительных формах и размерах) и проектирование деталей: задача разбивается на столько частных задач, сколько отдельных деталей (частей в машине), и каждая деталь вырабатывается отдельно. Раз машина дана схематически, дальнейшая окончательная выработка ее вплоть до рабочих  чертежей включительно — дело простое. Не только детали или простые инструменты, но и целые машины могут быть взяты из каталогов (в противном случае трехакт повторяется на уровне проектирования деталей). Поэтому здесь становятся так важны различные  справочные руководства. «Остальное, т. е. фактическое построение — уже дело ремесла» (это уже фабрикация изделия на производстве). В результате третьего акта машина получается в виде рабочих  чертежей, определенной конструкции (конструктивного  варианта) , т. е. вещественного осуществления принципа и системы данной машины. Конкретная машина — это только один экземпляр, серия (класс) машин может не иметь конструктивных различий и тогда она описы- вается одной конструкцией (точнее было бы сказать одной  конструктивной схемой, но слово «схема» Энгельмейером уже занято). Таким образом, конструкция является общей для класса изделий производства. Если речь идет о проектировании технологии  производства, то здесь «конструкция» выступает в виде конкретной  совокупности рецептов и приемов. Система (или схема) машины повторяется в ряде конструкций, а один какой-нибудь принцип — в ряде систем машин, т. е. принцип характеризует целый разряд машин (прежде всего со стороны их функции — «то, для чего»), а разные системы составляют подклассы этого разряда. Таким образом, принцип, система (схема) и конструкция — это продукты логического отвлечения, отображающие некоторую сущность машины (проекта, изобретения), вернее три  степени (ступени) существенного 16. «Анатомия процесса изобретения» от первого проблеска идеи до  окончательного его выполнения на деле, так же как и в случае проектирования, разлагается им на три акта: догадки, знания и умения. Для здорового изобретения важно задаться возможным, знать необходимое и уметь обращаться с материей. 

В соответствии с трехактом Энгельмейер выделяет следующие причины изобретательских неудач, двигаясь в обратном порядке: недостаток умения,  недостаток знания и недостатки в идее. Все это ведет к плохой выработке изобретения. 

Из трех актаx Энгельмейер выводит "три уровня изобретений", напоминающие "пять уровней изобретений" в ТРИЗ, но внутреннее более логичных.

Давая классификацию существующих технических изобретений, Энгельмейер выделяет три их класса:
* механические сооружения (механизм)
* химические соединения (химизм)
* способы производства. 

Человеческое творчество рассматривается им как совокупная функция трех деятелей:
* желания (интуиции, намерения; намерение есть ясно выраженное  предположение о том, как удовлетворять свою потребность); знания той фактической области, в пределах которой придется действовать; 
* умения обращаться с вещью в данной области. Это три основные функции духа, из которых состоит весь мир человеческих творений, отражающие три ипостаси человека: инстинктивную (чувство),  сознательную (разум) и действенную (воля).

Энгельмейер сводит к ним все акты творчества. 
1. Начинается с интуиции. Это психический синтез нового продукта из прежнего опыта. Его метод —  интроспекция, а продукт — концепт, имеющий следующие признаки: гипотетический характер, цельность, самородность (происходит из недр души). 
2. Дальнейшая и осознанная переработка концепта для выработки из него плана, который должен в равной мере служить решению первоначальной задачи и быть выполнимым на деле. В результате второго акта получается: 1) полный план, схема  изобретения, проект, модель, образец (в техническом творчестве); 2)  доказательная гипотеза, теорема (в научном открытии); 3) план, модель, сценарий (в искусстве); 4) план поступка, метода, способа (во всякой деятельности вообще). 
3. Вещественное выполнение произведения. Например, в науке его результат — законченное научное открытие, т. е. понятие, формула, закон и т. д. 

Так, по Энгельмейеру, научное открытие есть изобретение мысли, отвечающей определенным требованиям. Результат всякой здоровой деятельности мы оцениваем с точки зрения приложимости к нашей жизни и видим, что получилось новое добро, новая красота, истина или польза, вообще говоря — новая ценность. И вот где мы находим человеческое творчество. Человек творит ценности и только их. Ценности он творит, т.е. создает из ничего. В самом деле: возьмем новую теорию,  объясняющую новые наблюдения, новое художественное произведение,  новый добродетельный поступок, новую полезность... одним словом, новую созданную человеком ценность. Ведь этой ценности раньше не было: стало быть, она создана из ничего. В отношении ценностей человек является творцом в полном смысле слова. Именно в этом смысле человек подобен Богу, Творцу с большой буквы. 
От себя добавлю что если материю, энергию и информацию мы можем только уничтожать, то вот духовные ценности мы можем творить. Уничтожать, правда тоже можем, так же как и творить отрицательные духовные ценности. Возможно ввести такие критерии духовной эффективности техники как отношение объема созданных духовных ценностей к затраченным материальным и оценивать действия и машины с этой точки зрения.

И вот еще некоторые мысли:

1. Конечная цель всякого мышления есть предсказание опыта. 
2. Мышление есть умственный эксперимент, производимый над умственными частичными отражениями опыта. 
3. Научное мышление отличается от житейского только большею эко- номиею мысли, т. е. большею производительностью умственного труда. 
4. Таким образом, принцип науки есть экономия мысли. 
5. То, что привычно, представляется нам естественным, простым, понятным и необходимым. 
6. Объяснить — значит непривычному ряду опыта подыскать параллельный ряд привычных мыслей. 
7. Покуда данному ряду опыта параллелен ряд мыслей, мы  говорим, что такое-то явление совершается по такому-то закону. 
8. Как только расширяющийся опыт нарушает эту  параллельность, сейчас же в ряд мыслей вносится наименьшее из возможных 
видоизменений, но такое, которое необходимо и достаточно для параллелизации. 
9. Этот процесс параллелизации основан на принципе  сплошности, т.е. на том допущении, что если данная мысль соответствует данному факту, то небольшому изменению в факте должно  соответствовать небольшое же изменение в мысли. 
10. Только тогда, когда частичное изменение недостаточно для параллелизации, вся мысль (понятие, закон) отбрасывается и  заменяется новою. 
11. Всякая наука увеличивает производительность умственной работы двояким путем: во-первых, предоставляя к нашим услугам испытанные методы мышления, и, во-вторых, давая нам в руки объединяющие категории и данные опыта, т. е. согласуя как форму, так и содержание мысли с широким и все расширяющимся опытом. 
12. Аналогия есть основная функция всякого мышления. 
13. Такое сознание, которому было бы доступно явление во всей его сложности, не видело бы никакой другой причинности, кроме последовательности. 
14. Точно так же в природе нет никакой другой зависимости, кроме сосуществования и последовательности, а потому законы, устанавливаемые наукой, не могут быть ничем больше, как  возможно краткими описаниями. 
15. То, что называется причиною и следствием, суть только  отдельные частности, выделяемые из общего комплекса (явлений) для того, 
чтобы легче воспроизводить в мыслях комплекс. Здесь все зависит от привычки мысли и с изменением последней  изменяются в наших глазах причины и следствия в данном явлении. 
16. Прогресс в науке есть постепенное приспособление мысли к возрастающему опыту, и эволюция науки есть только часть общей эволюции животного мира. 

Техника - умение целесообразно воздействовать на материю, искусство вызывать желательные явления. лучше всего схватим разницу между наукой и техникой, если уясним себе разницу между какой-нибудь наукой в собственном  смысле и близкой к ней наукой — технической. Возьмем учение об электричестве и электротехнику. Учение об электричестве имеет целью настолько уяснить явления электричества, настолько связать их и подчинить математическому учету, чтобы можно было их  предсказывать и качественно, и количественно. На этом и кончается функция учения об электричестве. Электротехника же ставит себе задачею не столько предсказывать электрические явления, но и научить вызывать их в действительности и вызывать их качественно и количественно такими, какие они нам желательны. Тут мы замечаем существенную черту отличия науки как таковой от науки технической: наука как таковая просто изучает факт, без какой бы то ни было оценки его. Наоборот, наука техническая ничего не изучает без оценки по  отношению к человеку, к его потребностям, целям и средствам. В этом пункте, как это не покажется странным, техника роднится с этикой, эстетикой и логикой (науками нормативными)» [60, с. 

## Социокультурный аспект

Большой интерес, на наш взгляд, представляет социокультурный анализ (скорее социокультурные наблюдения) особенностей развития техники в Америке и Японии, проведенный П. К. Энгельмейером. Он подчеркивает, что промышленность в США развилась как нище, чего нельзя сказать, по его мнению, про американскую технику того же периода. Немцы, например, опередили американцев в химической технологии. Он считает, что «пресловутая  изобретательность американцев направлена больше на количество, чем на качество. Они первенствуют в организации производств для массового изготовления однородных изделий, а также в деле введения машин иавтоматизации производства, в  деле вытеснения машиной человека» [62, с. 31]. В Америке также высоко развит контроль над производством, и особенно  замечательной является система Тейлора. Но она применима лишь для  однообразных движений и «неприложима, например, в России, где еще очень далеко до настоящей фабричной дисциплины. В самом деле: стоит ли учитывать доли секунды, там, где рабочий ходит в  перевалку». Кроме того, она нарушает здоровье напряженностью и  однообразием труда. Особенности американской техники и промышленности, с точки зрения Энгельмейера, обусловлены тем, что в Америку выселялись не какие-нибудь отбросы, а наиболее сильные и деятельные люди («активисты»), недовольные европейской рутиной, наиболее готовые к новым достижениям и новым формам жизни, смелые и наделенные природным здравым смыслом. «И промышленность американская носит на себе печать силы и смелости и простого житейского смысла. Это в особенности заметно на машинах. Сравнивая однородные машины (станки, автомобили, земледельческие машины), изготовленные в Америке и в Европе, мы замечаем, что американская машина проще, ее формы и размеры выработаны не столько расчетом, сколько смекалкой. Далее: европейская машина обработана вся, а в американской обработаны только поверхности соприкасающиеся, а остальные вышли прямо из литейной, из кузницы, из штамповальни и разве редко ободраны на точиле. При изготовлении зубчатых колес в Европе применяется самый подробный расчет, а в Америке нередко практикуется способ пришлифовки пары колес  наждаком на ходу, что особенно применяется при выделке некруглых колес, которых Европа избегает совершенно напрасно. Наконец, в отношении материалов в Америке предпочитают ставить дорогие  материалы только в ответственных частях, а остальные выделывать из дешевки. И в общем американская машина изготовлена из таких материалов и в таких размерах частей, что если вы замечаете изнашивание в одной части машины, то наверное найдете его везде, так что машина стареет вся сразу при нормальной работе. Касаясь пресловутой американской изобретательности, надо сказать, что о ней американцы больше нашумели, чем она  заслуживает. Недаром так знаменита американская реклама. Американцы изобретательны на те мелочи конструкции, которые придают данному изделию отменно практическую цену. Но  американцы обыкновенно ждут, чтобы в Европе появилось что-нибудь новое, да чтобы зарекомендовалось на практике. Так было с электротехникой, так было с автомобилем и со многими другими изобретениями. И даже самый типичный американский изобретатель Эдисон — на поверку далеко не то, что о нем нашумела реклама» [62, с. 33]. Япония, по мнению Энгельмейера,— это типичная  тихоокеанская Англия и представляет собой типичный пример успешного заимствования чужой техники в виде готовых плодов и без тяжелых переживаний подготовительного периода. Он выводит ее успешное техническое развитие из социокультурных особенностей этой  страны — прежде всего реализма конфунцианства, наиболее  распространенной в Японии религии, и исконного «парламентаризма». Вслед за Рело он подчеркивает важную роль в этом процессе подробного изучения европейской цивилизации японцами, которые наводнили Европу торговцами и студентами. 

Например, он говорит о роли нормализации в технике и отмечает, что ее прогресс подчас обусловливают не только великие нововведения и блестящие изобретения, но и самые, казалось бы, простые вещи: британский инженер и машиностроитель Витворт5 около 1850 г. «рекомендовал просто установить по всему свету однообразие в изготовлении болтов и гаек. С британским упорством он вел эту пропаганду в прессе, на конгрессах, в научных, технических и промышленных обществах и вначале встречал только пожатие плеч и зевоту. В результате десятилетней пропаганды весь свет понял всю кардинальную важность нормализации, вместе с которой утвердилась и большая точность вообще в изготовлении машинных частей. И можно смело сказать, что без этой  нормализации и точности невозможно современное изготовление  ручного орудия, машин швейных, пишущих, часов, велосипедов,  автомобилей, аэропланов и т. д.» [ 62, с. 

Очень часто важные практические результаты получаются из скромных лабораторных, даже любительских опытов, которые  кажутся сначала пустым времяпровождением. Именно благодаря  такому любительству стала быстро развиваться фотографическая техника, в особенности богатому любительству, которое охотно оплачивало фабрикантам все расходы на производство  принадлежностей для фотографии. 

«Функции этих трех разрядов очень ясны и определенны: инженер организует целые предприятия и руководит ими,  техникам поручается организация и ведение частями предприятия, а мастер руководит отдельной мастерской или отдельной работой» 

К. Матчосса «Из истории техники в Германии», в которой автор на конкретном материале истории инженерного дела и образования в Германии показывает, что «прогресс идет тем быстрее, чем теснее связь между наукой и техникой» б. 

> «„Техника" в самом обобщенном смысле есть умение бороть  реальные сопротивления реальными силами».

Причем П. К. Энгельмейер подчеркивает, что «реальное» — это более общее понятие, чем «материальное». Может быть, например, реальное сопротивление, если речь идет о запрещении, скажем, движения грузового  транспорта по данной конкретной улице, но оно не будет материальным («никаких рогаток на мостовой нет»). Если же для преодоления реального сопротивления используются нереальные силы, то мы имеем дело с магией. Технический метод отличается и от научного:

> «техник так сопоставляет тела природы, что их естественное взаимодействие вызывает результат, наперед намеченный техником. Вот что такое метод техники, или технический метод, в отличие, например, от метода научного, который похож на технический метод своей первой половиной, т. е. искусственным сопоставлением природных тел, но не похож своей второй половиной: экспериментатор не предписывает себе получить тот или другой результат. Он хочет знать: какой результат получится от данного сопоставления тел?». Поэтому и техником будет всякий, «кто осуществляет на деле технический процесс». 

Во всех поступках человека можно заметить эти четыре  основные стремления — к истине (И), красоте (К), добру (Д) и пользе (П). Формула воли в любой момент В = ИКДП. Коэффициенты могут получать как положительные, так и отрицательные значения (ложь, уродство, зло, вред). Тогда для божеской воли все эти коэффициенты будут иметь значение +$\infty$, а для дьявольской —$\infty$; человеческая воля заключена между этими пределами. Если из этих коэффициентов преобладает первый, то мы имеем науку, если второй — художество, третий — добродетель, a четвёртый — технику. 

Соотношение науки, искусства и техники определяется, по Энгельмейеру, тем, что наука преследует истину, искусство —  красоту (в более общем плане — чувство), а техника — пользу. наука создает новые мысли, искусство — новые образы, а техника — новые вещи». 

Создания науки — открытия, искусства —  художественные произведения, техники — изобретения 

> «Знания человека ограниченны и могут быть сравнены с некоторой сетью, внутри которой все связано неизменными узлами. Но вне этой сети человек не видит связи. Это одинаково справедливо как относительно дикаря, так и первейшего ученого, только сеть  последнего покрывает большую площадь; вот и все. Ни молиться, ни  колдовать внутри сети своих знаний человек не станет. Но как он отнесется к явлениям, лежащим вне этой сети, — различно; но различие основано уже не на знании (которого здесь уже нет), а на вере, и это в обоих случаях: дикарь верит, что за сферой его знаний действуют силы сверхъестественные, а ученый верит, что и там действуют силы естественные. Вот и вся разница» 

В качестве иллюстрации Энгельмейер приводит слова некоего  священника, что, молясь о ниспослании дождя, народ молится не о том, чтобы Бог разорвал видимую и неизменную цепь природных явлений в угоду молящимся, а чтобы он неведомыми человеку путями так направил естественную цепь явлений, что желаемое явление наступит естественным образом.