---
id: recycling
title: 'Переработка мусора в робофабрике'
---

*Автор: Александр Оликевич*

При изучении способов роботизированной переработки ископаемых мы стали рассматривать их как случайную непредсказуемую смесь веществ. Однако так можно характеризовать и мусор (импортированный из традиционной экономики), а также бракованные изделия и вышедшие из строя блоки самой робофабрики. А значит, обрабатывать эти вещества по единым принципам, на одном и том же оборудовании. В одних только странах Европейского Союза ежегодно образуется 1,3 млрд. т отходов.

Все это представляет собой смесь веществ, которые должны быть превращены в чистые, пригодные для технологического использования или продажи вещества и притом с минимальными затратами энергии.  При этом можно выделить несколько групп веществ, способных взаимно превращаться друг в друга с поглощением или выделением энергии. Как правило, превращения с поглощением энергии создают более дорогой материал (например, железо дороже продуктов его горения - оксидов). Это позволяет выстроить энергетически и экономически целесообразные графы преобразования веществ.

При наличии подвода энергии извне (солнечная, электрическая) не предполагается образования каких-либо отходов, наоборот, фабрика может активно поглощать мусор и отходы извне. При работе на топливе неизбежно будет образовываться большое количество отходов, с которыми энергетически не выгодно работать, которые, впрочем, могут образовываться в востребованных рынком формах. При использовании ядерного топлива обыкновенные химические отходы не образуются (выгодно их перерабатывать в продукты), зато образуется небольшое количество ядерных.

Человечество на сегодня выработало многообразные способы разделения смесей веществ, основанные на различии тех или иных их физико-химических свойств, например:

* Растворимость/Осаждаемость
* Поверхностное натяжение 
* Магнитные свойства
* Плотность
* Окисляемость/Восстанавливаемость
* Температура плавления и кипения
* Реакция с конкретным веществом/Электрореакция

Это и легло в основу многочисленных известных методов разделения веществ, таких как:

* Терморазложение
* Экстракция
* Хроматография
* Масс спектрометрия
* Зонная плавка
* Просеивание
* Адсорбция
* Центрифугирование и циклонная обработка для разделения веществ, имеющих различную плотность
* Хроматография
* Кристаллизация
* Декантация
* Паросушение
* Дистилляция
* Сушка
* Электрофорез
* Испарение
* Экстракция
* Ионный обмен
* Фильтрование
* Флотация
* Фракционированная конденсация
* Дефлегмация

Все из них в той или иной мере могут быть использованы для разделения отходов в робофабрике. Однако, особенно на первых порах, не хочется делать систему разделения громоздкой и состоящей из разнообразных устройств - ведь каждое из них нужно проектировать и отлаживать. Поэтому наибольший интерес представляют наиболее универсальные способы. Пожалуй, самым универсальным является прямое масс-спектрометрическое разделение, но его сложность, стоимость, энергоэффективность оставляют желать много лучшего. Тем не менее, понятно, что идеального способа нет и ради универсальности все равно, чем-то придется поступиться. Эти рассуждения привели нас к рассмотрению химии кальция и ацетилена. Эти вещества обладают рядом интересных в нашем деле свойств:

Кальций в чистом виде - крайне реакционноспособный металл, отнимающий атомы окислителей практически от любых элементов (кроме нескольких очень редких). Кальций распространен практически повсюду (в составе известняка и др. минералов). Кальций при взаимодействии с любыми углеродсодержащими соединениями при некоторых условиях образует одно и то же вещество - карбид кальция. Из карбида кальция при реакции с водой образуются  гидроксид кальция и ацетилен. Гидроксид может быть регенерирован в кальций и воду с затратами энергии.
Ацетилен до 1950-х годов, когда нефть вытеснила уголь в качестве основного источника восстановленного углерода, был основным источником органических химикатов в мировой химической промышленности. 
Все основные пластики для 3D-печати, резины, а также реактопласты, горючие и смазочные материалы, которые могут понадобиться робофабрике, производятся на простом оборудовании в небольшое число стадий из ацетилена. Хорошо отработана его переработка в поливинихлориды, этилен (сырье для различных полиэтиленовых пластиков), акриловые волокна, стекла, краски, смолы.

Так, подвергая случайную смесь веществ металлотермии (а именно - кальцийтермии - простому нагреванию с металлическим кальцием) - робофабрика может получать расплав металлов и карбид кальция без посторонних веществ (СО2, H2O, HCl и прочее покидает зону реакции газообразно и может быть тоже при необходимости собрано).  Разделение полиметаллического сплава (например, электрохим. способами или селективным осаждением) и использование ацетилена гораздо проще, чем разбор мусора. 

Это может обеспечивать очень высокое качество переработки отходов - резина, полученная прямо из изношенных покрышек и как-то там раскрошенная, склеенная и перемешанная с новой никогда не сравнится с резиной, полученной синтезом из полученного из этих же покрышек ацетилена. При этом металлические и минеральные загрязнения будут исключены, а тканевый корд превратится в дополнительную массу чистой резины. Так же обстоит дело и с другими видами мусора. Грязное (в бытовом и химическом смысле) бутылочное стекло может превращаться в высококачественное оптическое стекло. Лом черных металлов - в высокосортные стали с заданной концентрацией легирующих элементов.

Кальций может быть регенерирован в автоматическом режиме (электролиз расплава) с потреблением энергии. Сама же кальцийтермия проходит с выделением энергии, которая может быть использована или рекуперирована (например, для подогрева электролита для извлечения кальция.  Речь идет о высоко-потенциальной энергии, которая может нагревать теплоносители до тысяч градусов. Перспективен переход от прямой к опосредованной кальцийтермии, при которой между окисляемым Ca и восстанавливаемой смесью вместо прямого контакта осуществляется электрический или ионный контакт, как в топливных элементах. Тогда перенос электрона будет идти с выработкой значительных количеств электроэнергии вместо тепла. 

Учитывая неидеальность всех устройств кальциевого цикла, ясно, что энергии, выделяемой в кальциетермии не будет хватать для полной регенерации затраченного при этом кальция. Однако, после разделения добытых таким образом веществ, часть (наименее ценных) металлов и металлоидов, или даже ацетилена можно сжечь или окислить в топливных элементах с получением электроэнергии и чистых окислов, имеющих самостоятельную, часто высокую ценность. Разные вещества могут перерабатываться по разному, даже в зависимости от ситуации.

## Металлы

Чистые металлы могут встретиться скорее в техническом мусоре, нежели в минералах. Их целесообразно разделять и очищать, восстанавливать из оксидов, несмотря на энергозатратность этого - ценность металлов (особенно редких и рассеянных) будь то для внутреннего пользования или продажи, превосходит ценность энергии, затрачиваемой на их востановление. Хотя в исключительных ситуациях (например, на Луне) металлы могут оказаться важным топливом.
Ge,As,Se,B,P,Sb,Te,I в чистом виде обладают большой ценностью, удобны и безопасны в хранении. Поэтому накапливаются на равных правах с металлами.
Смешанные оксиды (металлов, а также кремния), карбонаты, соединения серы - основа минерального сырья. Восстанавливаются до элементов и разделяются.
Кремний. При высокой степени очистки - весьма дорогой материал. Однако, поскольку этот элемент один из самых распространенных в земной коре, может сложиться его избыток. Поэтому кремний, который не получается очистить для нужд полупроводниковой промышленности, можно повторно окислить с большим выделением энергии. При этом можно не только рекуперировать энергию, но и получить дорогой и ценный материал - кварц, причем в форме заданных изделий - оптики, химической посуды, электроники и т.д. 
Алюминий. Аналогично кремнию - очень распространен. При превышении добычи над потребностью может быть конвертирован с большим выделением энергии в ценный материал - сапфир. Превращение песка, глины, гранита в кварц и сапфир с выделением редких элементов при должной организации может осуществляться с почти полной рекуперацией энергии - оторвали кислород, потратили энергию, присоединили - вернули. Однако упорядоченность, и, соответственно, ценность материала при этом возрастает во много раз. Взять хотя бы выделение урана из гранита: при рекуперации энергии, затрачиваемой на разложение оксидов, составляющих гранит, это само по себе становится весьма выгодным даже при ничтожных концентрациях урана. 
Галогены (кроме йода). Хранить и продавать в элементарном виде затруднительно и опасно. Поэтому их избыток имеет смысл комбинировать с другими доступными веществами в дорогие и притом безопасные химические продукты. Так как Al, получаемый из глин не является дефицитным для робофабрики, можно превращать хлор и бром соответственно в безводные AlCl3 и AlBr3 - важные и дорогие катализаторы в химической промышленности, удобные в хранении и безопасные. Аналогично, F можно комбинировать с общедоступным (из известняка) кальцием, формируя изделия из CaF2 - дорогого материала УФ и ИК оптики. 
Углеводороды, уголь, органические и элементоорганические соединения - могут быть в крайнем случае сожжены в энергетичеких целях, но гораздо более выгодно их использование в качестве сыпрья для органического синтеза, например, углеводов или аминокислот, а со временем - все более сложных и ценных соединений - лекарств, полимеров, материалов органической электроники.  
Нестабильные изотопы самых различных элементов. Могут быть выделены из «обычных» материалов или из радиоактивных отходов. В отличие от смешанных и никому не нужных радиоактивных отходов, представляющих большую проблему, те же самые составляющие их вещества, рассортированные поэлементно, имеют высокую техническую и экономическую ценность.

Другими частными случаями металлотермии являются алюминотермия (алюмотермия) и магнийтермия. Как восстановители применяют также кремний (обычно в виде ферросилиция), кальций, барий, натрий, литий, лантан и др. Есть также карботермия. Однако, кальцийтермия представляется наиболее универсальной.  Закономерности термического восстановления одних веществ другими описываются диаграммами Эллингема. А сам процесс открыл в 19 веке отечественный химик Бекетов.

Для «выкачивания» ценных веществ из залежей горных пород и свалок, превосходящих робофабрику по размерам,  известны методы выщелачивания и избирательной экстракции для извлечения из бедных руд меди, висмута, цезия, золота, цинка, железа и других элементов. В промышленности нередко эффективной регенерации отходов мешает то что завод находится далеко от источнка отходов. В робофабрике это не так.

В литературе описаны практики «дизайна для утилизации», которые, применительно к изделиям и инструментам самой робофабрики могут упростить процесс их утилизации минуя полное элементное разделение. Среди них есть, например такие:

* Единство материала (бутылка и крышечка из одинакового пластика) или, по крайней мере, сокращение номенклатуры материалов в изделии
* Возможность отделения пригодной и непригодной для утилизации частей объекта, легкоудаляемые включения инородных материалов
* Явное отличие изделий из разных материалов для облегчения понимания способа переработки. Не делать одинаковые изделия из разных материалов.
* Сознательно определять какой ценный материал будет получен в результате переработки данного объекта. Учитывать его востребованность.
* Не сужать без необходимости применимости материала (изделия из пигментированного пластика после переработки имеют меньше применений чем из непигментированного). Избегать необратимых модификаций материалов.
* Простота разборки составного изделия (избегание нерастворимых клеев, заливки, запайки). Рациональные размеры компонентов, не всегда миниатюризация полезна. Доступность разъемов, крепежей и т.п.
* Документирование использованных материалов и методов разборки. Использование, меток облегчающих робоутилизацию.